package llm

import (
	"context"
)

type Chat interface {
	Ask(ctx context.Context, text string) (string, error)
	Close(ctx context.Context) error
}

type AI interface {
	UserBrowserAgent
	Init(ctx context.Context) (AI, error)
	NewChat(ctx context.Context, user *UserContext) (Chat, error)
	Close(ctx context.Context) error
}
